# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name pretty-show

Name:           ghc-%{pkg_name}
Version:        1.6.8.2
Release:        3%{?dist}
Summary:        Tools for working with derived Show instances and generic inspection of values

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Make symlinks valid.
BuildRequires:  web-assets-devel
# Begin cabal-rpm deps:
BuildRequires:  chrpath
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-lexer-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  happy
# End cabal-rpm deps

Requires:       js-jquery1

%description
We provide a library and an executable for working with derived 'Show'
instances. By using the library, we can parse derived 'Show' instances into a
generic data structure. The 'ppsh' tool uses the library to produce
human-readable versions of 'Show' instances, which can be quite handy for
debugging Haskell programs. We can also render complex generic values into an
interactive Html page, for easier examination.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install
rm -v %{buildroot}%{_docdir}/%{name}/LICENSE
rmdir -v %{buildroot}%{_docdir}/%{name}

%global _style_dir %{buildroot}%{_datadir}/%{pkg_name}-%{version}/style

# Replace shipped jQuery with system version.
rm -v %{_style_dir}/jquery-src.js
rm -v %{_style_dir}/jquery.js

ln -s %{_webassetdir}/jquery/1/jquery.js %{_style_dir}/jquery-src.js
ln -s %{_webassetdir}/jquery/1/jquery.min.js %{_style_dir}/jquery.js

%ghc_fix_dynamic_rpath ppsh


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE
%{_datadir}/%{pkg_name}-%{version}/


%files devel -f %{name}-devel.files
%{_bindir}/ppsh


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.8.2-2
- initial import

* Mon Jul 20 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.8.2-1
- update to 1.6.8.2

* Mon Mar 02 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.8.1-1
- update for license fix

* Sun Mar 01 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.8-2
- use system jQuery

* Tue Feb 24 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.6.8-1
- spec file generated by cabal-rpm-0.9.3
